data:extend(
{

  {
    type = "generator-equipment",
    name = "fozzy-fusion-reactor-equipment",
    sprite = 
    {
      filename = "__mmod__/graphics/equipment/fozzy-fusion-reactor-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "350000000000W"
  },

 
  {
    type = "battery-equipment",
    name = "superb-battery-equipment",
    sprite = 
    {
      filename = "__mmod__/graphics/equipment/superb-battery-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "300000KJ",
      input_flow_limit = "750000KW",
      output_flow_limit = "750000KW",
      usage_priority = "terciary"
    }
  },

  {
    type = "energy-shield-equipment",
    name = "super-shield-equipment",
    sprite = 
    {
      filename = "__mmod__/graphics/equipment/super-shield-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 6500,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "540J",
      input_flow_limit = "54000W",
      usage_priority = "primary-input"
    },
    energy_per_shield = "30J"
  },

  {
    type = "movement-bonus-equipment",
    name = "speed-boots-equipment",
    sprite = 
    {
      filename = "__mmod__/graphics/equipment/speed-boots-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "14W",
    movement_bonus = 1.5
  },

}
)
