data:extend(
{	
  {
    type = "generator",
    name = "overpowered-wind-turbine",
    icon = "__mmod__/graphics/icons/overpowered-wind-turbine.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 10, result = "raw-wood"},
    max_health = 13000,
    corpse = "big-remnants",
    effectivity = 1,
    fluid_usage_per_tick = 2600,
    resistances =
    {
      {
        type = "physical",
        percent = 10
      }
    },
    collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fluid_box =
    {
      base_area = 1,			
      pipe_connections =
      {
        --{ position = {-1, 2} },
        --{ position = {-1,-2} },
      },
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    horizontal_animation =
    {
      filename = "__mmod__/graphics/entity/overpowered-wind-turbine_sheet_4.png",
      width = 175,
      height = 175,
      frame_count = 20,
      line_length = 5,
      shift = {1.7,-1.4},
      tint = Colortint.Tier7
    },
    vertical_animation =
    {
      filename = "__mmod__/graphics/entity/overpowered-wind-turbine_sheet_4.png",
      width = 175,
      height = 175,
      frame_count = 20,
      line_length = 5,
      shift = {1.7,-1.4},
      tint = Colortint.Tier7
    },		
    smoke =
    {
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/train-wheels.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 0.25,
    performance_to_sound_speedup = 0.2
  },

}
)
