local axeitem = util.table.deepcopy(data.raw["mining-tool"]["steel-axe"])
axeitem.name = "wood-axe"
axeitem.icon = "__mmod__/graphics/icons/wood-axe.png"
axeitem.subgroup = "m-blitz-start"
axeitem.order = "a-b[wood-axe]"
axeitem.durability = 30000
axeitem.speed = 31
data:extend{axeitem}

local armoritem = util.table.deepcopy(data.raw["armor"]["power-armor-mk2"])
armoritem.name = "xtreme-armor"
armoritem.icon = "__mmod__/graphics/icons/xtreme-armor.png"
armoritem.subgroup = "m-blitz-start"
armoritem.order = "z-a"
armoritem.durability = 130000
armoritem.equipment_grid = {width = 22, height = 22}
armoritem.resistances = 
    {
      {
        type = "physical",
        decrease = 10,
        percent = 80
      },
      {
        type = "acid",
        decrease = 10,
        percent = 80
      },
      {
        type = "explosion",
        decrease = 20,
        percent = 90
      }
    }
data:extend{armoritem}

local reactoritem = util.table.deepcopy(data.raw["item"]["fusion-reactor-equipment"])
reactoritem.name = "fozzy-fusion-reactor-equipment"
reactoritem.icon = "__mmod__/graphics/icons/fozzy-fusion-reactor-equipment.png"
reactoritem.subgroup = "m-blitz-start"
reactoritem.order = "z-b"
reactoritem.placed_as_equipment_result = "fozzy-fusion-reactor-equipment"
data:extend{reactoritem}

local batteryitem = util.table.deepcopy(data.raw["item"]["battery-equipment"])
batteryitem.name = "superb-battery-equipment"
batteryitem.icon = "__mmod__/graphics/icons/superb-battery-equipment.png"
batteryitem.subgroup = "m-blitz-start"
batteryitem.order = "z-c"
batteryitem.placed_as_equipment_result = "superb-battery-equipment"
data:extend{batteryitem}

local shielditem = util.table.deepcopy(data.raw["item"]["energy-shield-equipment"])
shielditem.name = "super-shield-equipment"
shielditem.icon = "__mmod__/graphics/icons/super-shield-equipment.png"
shielditem.subgroup = "m-blitz-start"
shielditem.order = "z-d"
shielditem.placed_as_equipment_result = "super-shield-equipment"
data:extend{shielditem}

local shielditem = util.table.deepcopy(data.raw["item"]["basic-exoskeleton-equipment"])
shielditem.name = "speed-boots-equipment"
shielditem.icon = "__mmod__/graphics/icons/speed-boots-equipment.png"
shielditem.subgroup = "m-blitz-start"
shielditem.order = "z-e"
shielditem.placed_as_equipment_result = "speed-boots-equipment"
data:extend{shielditem}

data:extend{
  {
    type = "item",
    name = "overpowered-wind-turbine",
    icon = "__mmod__/graphics/icons/overpowered-wind-turbine.png",
    place_result = "overpowered-wind-turbine",
    flags = {"goes-to-quickbar"},
    subgroup = "m-blitz-start",	
    order = "a-c[overpowered-wind-turbine]",		
    stack_size = 10,
  }
}
